Subject: Re: [PATCH] Support SPARSE in Makefile, better SPARSE_FLAGS

From: "H. Peter Anvin" <[email-masked]>
Date: Fri, 30 Sep 2005 15:16:48 -0700

Pavel Roskin wrote:
> 
> I know.  That's what I'm using in the wrapper (plus -m64 and some
> warnings).  But it should be the default.  Until then, hassle-free
> sparse support in the Makefile is only possible for the projects that
> already know the architecture (e.g. the Linux kernel).
> 

I think that's debatable.  It introduces main-compiler dependencies into 
sparse which is undesirable.

A much simpler option would be to write a "sparsegcc" script which would 
be invoked just like gcc, extract the appropriate macro information 
based on options, and then invoke sparse.

	-hpa